// WebDC.cpp : Defines the initialization routines for the DLL.
//

#include "stdafx.h"
#include <afxdllx.h>
#include "WebDC.h"
#include "WebDCaw.h"

#ifdef _PSEUDO_DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

static AFX_EXTENSION_MODULE WebDCDLL = { NULL, NULL };

extern "C" int APIENTRY
DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID lpReserved)
{
	if (dwReason == DLL_PROCESS_ATTACH)
	{
		TRACE0("WEBDC.AWX Initializing!\n");
		
		// Extension DLL one-time initialization
		AfxInitExtensionModule(WebDCDLL, hInstance);

		// Insert this DLL into the resource chain
		new CDynLinkLibrary(WebDCDLL);

		// Register this custom AppWizard with MFCAPWZ.DLL
		SetCustomAppWizClass(&WebDCaw);
	}
	else if (dwReason == DLL_PROCESS_DETACH)
	{
		TRACE0("WEBDC.AWX Terminating!\n");

		// Terminate the library before destructors are called
		AfxTermExtensionModule(WebDCDLL);
	}
	return 1;   // ok
}
